## javax.servlet
Interface ServletContextListener

All Superinterfaces:
  java.util.EventListener

public interface ServletContextListener
extends java.util.EventListener

Implementations of this interface receive notifications about changes to the servlet context of the web application they are part of. To receive notification events, the implementation class must be configured in the deployment descriptor for the web application.

Since:
  v 2.3
See Also:
  `ServletContextEvent`

Method Summary
`void` `contextDestroyed(ServletContextEvent sce)` Notification that the servlet context is about to be shut down.
`void` `contextInitialized(ServletContextEvent sce)` Notification that the web application initialization process is starting.

Method Detail

### contextInitialized

    public void contextInitialized(ServletContextEvent sce)

  Notification that the web application initialization process is starting. All ServletContextListeners are notified of context initialization before any filter or servlet in the web application is initialized.

### contextDestroyed

    public void contextDestroyed(ServletContextEvent sce)

  Notification that the servlet context is about to be shut down. All servlets and filters have been destroy()ed before any ServletContextListeners are notified of context destruction.

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.